<div class="col-12 p-0" style="position: relative;">
    <ngx-spinner bdColor="rgba(0,0,0,0.8)" color="#fff" type="timer" size="large" [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>

    <div class="col-12 p-0">
        <!--/////// speedDial ////////-->
        <!-- <div class="grid tw-relative tw-w-full">        
            <div class="grid tw-fixed tw-h-screen pl-10 ">
                <div style="position: relative;left: 20; top: calc(50% - 10rem);margin-left: 15px;"  >                  
                   <p-speedDial [model]="speedDialitems" direction="right"  [transitionDelay]="50" showIcon="pi pi-bars" hideIcon="pi pi-times"
                    buttonClassName="p-button-outlined" class="ml-3"></p-speedDial>
                </div>
              
            </div>
        </div> -->
        <!--/////// speedDial End////////-->
       
        <div class="col-12">
            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">
                <div class="flex align-items-center">
                    <!-- <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" /> -->
                    <div class="ml-3">
                        
                        <span class="text-4xl font-light">{{title}}{{fname}} {{lname}}</span>
                        <div class="text-color-secondary">
                            <span class="text-black-alpha-90 font-bold mr-2">อายุ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{age | thaiage}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">เพศ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{gender}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">AN :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{an}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">HN :</span>
                            <span class="text-black-alpha-60 font-semibold">{{hn}} </span>
                            
                        </div>
                    </div>
                </div>
                <div class="flex align-items-center justify-content-between gap-3 tw-mr-10">
                    <button pButton pRipple icon="pi pi-arrow-left" type="button" label="" pTooltip="ย้อนกลับ" tooltipPosition="top"
                        class="p-button-danger" (click)="backlistPatient()"></button>

                </div>
            </div>
        </div>
        <div class="card">
            
            <div class="field">
               
                <div class="flex">
                   
                    <!-- <input id="message" type="text" pInputText [(ngModel)]="consultValue" placeholder="Type a message" class="flex-1 w-full sm:w-auto border-1 surface-border border-round mr-2"/> -->
                    <div class="flex w-full flex-column gap-4 md:flex-column overflow-auto tw-mb-5" >
                        <textarea rows="5" cols="30" class="w-full" [(ngModel)]="consultValue" 
                            placeholder="Your Message" pInputTextarea></textarea>
                            
                            <div class="flex w-full sm:w-auto gap-3">
                                <button pButton pRipple label="ส่ง Consult" icon="pi pi-send" class="w-full sm:w-auto" (click)="addProgressNote()"></button>
                            </div>                   
                    
                    </div>
                    
                    

                </div>
            </div>
           
        </div>
        
        <div class="card">
            <div class="font-bold text-2xl text-900 mb-3">ประวัติการ Consult</div>
            <div class="flex w-full flex-row gap-4 md:flex-column overflow-auto tw-mb-5" *ngFor="let cc of consult_note">
      
                <div class="flex w-full flex-column justify-content-between border-1 surface-border border-round p-3 cursor-pointer select-none
                    hover:surface-hover transition-colors transition-duration-150 mb-10">
                    <div class="flex">
                        <div class="relative md:mr-3">
                            <p-avatar icon="pi pi-send" size="large" shape="circle" styleClass="text-base font-bold"
                              [style]="{'background-color':'rgba(250, 219, 95, 0.1)', 'color': '#DE911D', 'border': '1px solid #FADB5F'}"></p-avatar>

                        </div>
                        <div class="flex-column md:flex">
                            <span class="text-900 font-semibold block">วันที่ {{cc.date | thaidate:'short'}} เวลา {{cc.time | thaitime}}</span>
                            <span class="block text-600  text-sm">{{cc.note}}</span>
                        </div>
                    </div>
                    <!-- <span class="text-700 font-semibold ml-auto md:inline">{{cc.user}}</span> -->
                </div>
            </div>
        </div>
    </div>
</div>
